- blame = local_assigns.fetch(:blame, false)
- blob = local_assigns.fetch(:blob, nil)
.js-file-title.file-title-flex-parent
  = render 'projects/blob/header_content', blob: blob

  .file-actions.gl-display-flex.gl-align-items-center.gl-flex-wrap.gl-md-justify-content-end<
    = render 'projects/blob/viewer_switcher', blob: blob unless blame
    = render 'shared/web_ide_button', blob: blob
    - if can_view_pipeline_editor?(@project) && @path == @project.ci_config_path_or_default
      = link_to "Pipeline Editor", project_ci_pipeline_editor_path(@project, branch_name: @ref), class: "btn gl-button btn-confirm-secondary gl-ml-3"
    .btn-group{ role: "group", class: ("gl-ml-3" if current_user) }>
      = render_if_exists 'projects/blob/header_file_locks_link'
      - if current_user
        = replace_blob_link(@project, @ref, @path, blob: blob)
        = delete_blob_link(@project, @ref, @path, blob: blob)
    .btn-group.gl-ml-3{ role: "group" }
      = copy_blob_source_button(blob) unless blame
      = open_raw_blob_button(blob)
      = download_blob_button(blob)
      = view_on_environment_button(@commit.sha, @path, @environment) if @environment

= render_fork_suggestion
= render_if_exists 'projects/blob/header_file_locks', project: @project, path: @path
